# class GameInputDevice

#### package openfl.ui

Available on all platforms

### Variables

###

`enabled:Bool`

Enables or disables this device.

###

`read onlyid:String`

Returns the ID of this device.

###

`read onlyname:String`

Returns the name of this device.

###

`read onlywrite onlynumControls:Int`

Returns the number of controls on this device.

###

`sampleInterval:Int`

Specifies the rate (in milliseconds) at which to retrieve control values.

### Methods

###

`getCachedSamples (data:ByteArray, append:Bool = false):Int`

Writes cached sample values to the ByteArray. @return

Parameters:

`data` |
`append` |

###

`getControlAt (i:Int):GameInputControl`

Retrieves a specific control from a device. @return

Parameters:

`i` |

###

`startCachingSamples (numSamples:Int, controls:Vector<String>):Void`

Requests this device to start keeping a cache of sampled values.

Parameters:

`numSamples` |
`null` | controls

###

`stopCachingSamples ():Void`

Stops sample caching.

### Static variables

###

`staticMAX_BUFFER_SIZE:Unknown`